Bug 530572 - py-radix memory leak
Summary: py-radix memory leak
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: py-radix
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-23 14:24 UTC by Matt Domsch
Modified: 2009-11-18 20:20 UTC (History)
2 users (show)

Fixed In Version: 0.5-6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-23 14:48:39 UTC


Attachments (Terms of Use)

Description Matt Domsch 2009-10-23 14:24:07 UTC
Description of problem:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=512830
found and fixed in Debian

Version-Release number of selected component (if applicable):
0.5-5


How reproducible:
always

Steps to Reproduce:
1. run mirrorlist_server.py
2. killall -HUP mirrorlist_server.py
3. repeat
  
Actual results:
watch mirrorlist_server RSS grow using ps


Expected results:
no growth

Additional info:

Comment 1 Fedora Update System 2009-10-23 14:25:35 UTC
py-radix-0.5-6.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/py-radix-0.5-6.el5

Comment 2 Fedora Update System 2009-10-23 14:30:02 UTC
py-radix-0.5-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/py-radix-0.5-6.fc11

Comment 3 Fedora Update System 2009-10-23 14:30:35 UTC
py-radix-0.5-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/py-radix-0.5-6.fc10

Comment 4 Fedora Update System 2009-10-23 14:31:06 UTC
py-radix-0.5-6.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/py-radix-0.5-6.el4

Comment 5 Matt Domsch 2009-10-23 14:48:39 UTC
This was reported to me by Adrian Reber.  thanks Adrian.

Comment 6 Fedora Update System 2009-11-16 07:33:11 UTC
py-radix-0.5-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-11-16 07:33:55 UTC
py-radix-0.5-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-11-18 20:20:24 UTC
py-radix-0.5-6.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-11-18 20:20:42 UTC
py-radix-0.5-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.